Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Software Version 01.00.0000

© Keysight Technologies 2016.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

May, 2016

Table of Contents

MIPI C-PHY Compliance Test Application—At a Glance
Starting the MIPI C-PHY Compliance Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Acquisition Setup
Setting Up InfiniiSim
Configuring the 2 Port & 4 Port InfiniiSim
Setting Up the Precision Probe/Cable
To create a new calibration file
Setting Up the Test Environment
Data Type
Device Information
Test Report Comments (Optional)
Selecting Tests
Functions available for selecting Tests
Status after Test Runs
Viewing Reports/Clearing Results
Configuring Tests
Compliance Limits
To Activate/Refresh Limit Set
To Create/Edit Limit Set
Connecting the Oscilloscope to the DUT
Running Tests
To select the Store Mode
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Script Mode
To Create Automation Commands
Files Mode
To Start running Automation Commands
Trying a Command
Settings
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set the Trial Display preferences
Viewing/Exporting/Printing the Report
To export the report
To export results in CSV (comma-separated value) format
To export the report in HTML format
To print the report
To set HTML Report preferences
Understanding the HTML Report
Summary of Results
Report Detail
Saving Test Projects
Saving Project Settings Only
To set AutoRecovery preferences
User-Defined Add-Ins
To install an add-in
To remove an add-in
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Using a Second Monitor

U7250A MIPI C-PHY Compliance Test Application

Online Help


MIPI C-PHY Compliance Test Application—At a Glance

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

MIPI C-PHY Compliance Test Application—At a Glance

The MIPI C-PHY Compliance Test Application allows the testing of all MIPI devices with the Keysight Infiniium Oscilloscope based on the MIPI Alliance Standard for C-PHY specification. MIPI stands for Mobile Industry Processor Interface. The MIPI alliance is a collaboration of mobile industry leader with the objective to define and promote open standards for interfaces to mobile application processors. MIPI C-PHY is a high-speed serial interface, which provides high throughput performance over bandwidth limited channels for connecting to peripherals, including displays and cameras. The interface allows system designers to easily scale the existing MIPI Alliance Camera Serial Interface (CSI-2) and Display Interface (MIPI DSI) ecosystems to support higher resolution image sensors and displays while at the same time keeping power consumption low. It also supports soft configurability of lanes within a link to optimize bandwidth and minimize pin count.

The MIPI C-PHY Compliance Test Application requires:

  • U7250A MIPI C-PHY Compliance Test Application software.

  • The minimum version of Infiniium oscilloscope software (see the U7250A MIPI C-PHY Compliance Test Application release notes).

  • Differential probe amplifier, with the minimum bandwidth of 5 GHz.

  • E2677A differential solder-in probe head, E2675A differential browser probe head, E2678A differential socket probe head, and E2669A differential kit which includes E2675A, E2677A, and E2678A are recommended.

  • Keyboard, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • U7250A MIPI C-PHY Compliance Test Application license.

  • Serial Data (SDA) license.

  • InfiniiScan (SWT) license.

  • Keysight also recommends using a second monitor to view the MIPI C-PHY Compliance Test Application.

To use the MIPI C-PHY Compliance Test Application to run compliance tests, see:

  • Starting the MIPI C-PHY Compliance Test Application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Acquisition Setup

  • Setting Up InfiniiSim

    • Configuring the 2 Port & 4 Port InfiniiSim

  • Setting Up the Precision Probe/Cable

    • To create a new calibration file

  • Setting Up the Test Environment

    • Data Type

    • Device Information

    • Test Report Comments (Optional)

  • Selecting Tests

    • Functions available for selecting Tests

    • Status after Test Runs

    • Viewing Reports/Clearing Results

  • Configuring Tests

    • Compliance Limits

      • To Activate/Refresh Limit Set

      • To Create/Edit Limit Set

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the Store Mode

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

    • Script Mode

      • To Create Automation Commands

    • Files Mode

    • To Start running Automation Commands

    • Trying a Command

    • Settings

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set the Trial Display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

      • To export results in CSV (comma-separated value) format

      • To export the report in HTML format

    • To print the report

    • To set HTML Report preferences

  • Understanding the HTML Report

    • Summary of Results

    • Report Detail

  • Saving Test Projects

    • Saving Project Settings Only

    • To set AutoRecovery preferences

  • User-Defined Add-Ins

    • To install an add-in

    • To remove an add-in

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints

For more information on performing MIPI C-PHY Compliance Tests, see:

  • Keysight U7250A MIPI C-PHY Compliance Test Application Methods of Implementation


Starting the MIPI C-PHY Compliance Test Application

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Starting the MIPI C-PHY Compliance Test Application

The MIPI C-PHY Compliance Test Application is available to be run only on the Infiniium interface of a Digital Storage Oscilloscope and cannot be run as a stand-alone application on a Windows-based PC.

· To access the MIPI C-PHY Compliance Test Application,

  1. From the Infiniium Oscilloscope's main menu, click Analyze>Automated Test Apps>U7250A MIPI C-PHY Test App.

Note

If you do not see the U7250A MIPI C-PHY Test App listed under the Automated Test Apps drop-down, check for the following reasons:

· The MIPI C-PHY Compliance Test Application is not installed on the Oscilloscope.

· The license required to run the MIPI C-PHY Compliance Test Application is not installed on the Oscilloscope.

Refer to the Keysight MIPI C-PHY Compliance Test Application Methods of Implementation document for installation instructions.

  2. The MIPI C-PHY Compliance Test Application banner appears.

  3. The MIPI C-PHY Compliance Test Application displays with the default Set Up tab.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the MIPI C-PHY Compliance Test Application

To view/minimize the task flow pane

· To toggle between a minimized and restored task flow pane, choose View>Task Flow from the MIPI C-PHY Compliance Test Application's main menu.

· To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the MIPI C-PHY Compliance Test Application

To view/hide the toolbar

· To toggle between a hidden and visible toolbar, click View>Toolbar from the MIPI C-PHY Compliance Test Application's main menu.


Creating or Opening a Test Project

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Creating or Opening a Test Project

The MIPI C-PHY Compliance Test Application defines project files with a *.proj format that contains the DUT settings, configuration parameters and values defined for every series of test runs. Any changes made to and within the Test Application reflects on the project file.

· To create a new test project:

  1. Click File>New Project... from the MIPI C-PHY Compliance Test Application's main menu.

  2. The Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

  • Click to select the Keep settings for tools: check box if you wish to retain settings from any or all of the given features from the previous project.

  3. Click OK. A new, empty project is created.

· To open an existing test project:

  1. Click File>Open Project... from the MIPI C-PHY Compliance Test Application's main menu.

  2. The Save Changes? prompt displays.

  • Click Yes to save any changes made in the current project. Refer to Saving Test Projects. Click No if you wish to continue with opening another project without saving changes or click Cancel to continue with the current project.

  3. The Open window displays. Navigate to the folder on the local disk where the project file *.proj is located. Select the file and click Open.

  • The selected project opens on the MIPI C-PHY Compliance Test Application.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Acquisition Setup

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Acquisition Setup

To limit/configure the bandwidth of the Oscilloscope to a certain level of frequency when running compliance tests for C-PHY, use the Acquisition Setup... feature.

  1. From the MIPI C-PHY Compliance Test Application's main menu, click Tools>Infiniium>Acquisition Setup....

  • The Acquisition Setup dialog displays.

  2. In the Bandwidth Limit area, click the Enable check-box to configure the bandwidth limit of the Oscilloscope.

[Caution]

Clicking Enable may cause measurements on the Oscilloscope to immediately start recalculating. You must update the Infiniium software to the latest version to avoid this effect.

  3. Type a value or use the [image] scroll buttons to increase/decrease the bandwidth (in GHz). By default, the application displays 1.0 GHz, which is the minimum bandwidth limit that can be configured.

  4. Click OK to save the changes and return to the test environment or click Cancel to discard the changes and return to the Test environment. You may click Reset if you want to disable the Acquisition Setup.


Setting Up InfiniiSim

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Setting Up InfiniiSim

InfiniiSim is a general transformation tool that can be used to produce accurate results for a variety of problems. Using InfiniiSim, you may define two types of electrical circuits — the "measurement circuit", which models the actual physical circuit that produces the measured waveform and the "simulation circuit", which models a hypothetical electrical circuit that exhibits the electrical characteristics that you wanted to measure.

With InfiniiSim, you can:

· de-embed test fixtures or cables or switch networks that are placed between the Oscilloscope and the device to be measured.

· view waveforms anywhere in a modeled system.

· insert channel effects such as a standard cable model.

· replace one or more channel elements with another.

· remove loading impedance of high-impedance probes.

· provide default configurations for common use models.

· enable user-defined transfer functions to relate one measurement node to another.

With respect to the MIPI C-PHY Compliance Test Application, the InfiniiSim feature allows configuration of device ports associated with Oscilloscope Channels to accomplish proper triggering and filtering of the waveforms using transfer functions. InfiniiSim analyzes the measurement and simulation circuits and generates a transfer function which, when applied to the measured waveform produces the desired simulated waveform on the Oscilloscope's display.

For more information on InfiniiSim and its functionality in general, refer to N5465A InfiniiSim Waveform Transformation Toolset.

Note

You may access the InfiniiSim feature within the MIPI C-PHY Compliance Test Application only if it is licensed on the Oscilloscope.

  1. From the MIPI C-PHY Compliance Test Application's main menu, click Tools>Infiniium>InfiniiSim....

  2. The Configure InfiniiSim window displays.

  • By default, the InfiniiSim for each Scope Channel are disabled (Off). For any Scope Channel, you can enable InfiniiSim by selecting either the 2 Port or the 4 Port settings. The 4 Port InfiniiSim is further divided into 2-Channel or 1-Channel configuration. Additionally, for 4-Port 1-Channel InfiniiSim, you must define the transfer function Port Extraction settings to properly model your setup. In the following sections, the images display the InfiniiSim settings for Scope Channel 1 only. However, you can apply the repeat the same configuration procedure for the rest of the Scope Channels.

· To configure 2-port settings on the Scope Channel 1,

  1. Select the 2 Port radio button to enable 2-port 1-Channel InfiniiSim.

· To configure 4-port settings on the Scope Channel 1,

  1. Select the 4 Port (Channels 1 & 3) radio button to enable 4-port 2-Channel InfiniiSim.

  2. Select the 4 Port (Channel 1) radio button to enable the 4-port 1-Channel InfiniiSim.

  3. In the Port Extraction area, you may select one of the following control options:

  • For Channels 1 or 2:

  • Use Ports 1 -> 2 to use a single-ended path (port 1 to port 2) for 4-port 1-Channel analysis.

  • Use Ports 3 -> 2 to use a single-ended path (port 3 to port 2) for 4-port 1-Channel analysis.

  • Differential to use a differential path through the 4-port device.

  • Common Mode to use a common-mode path through the 4-port device.

  • For Channels 3 or 4:

  • Use Ports 3 -> 4 to use a single-ended path (port 3 to port 4) for 4-port 1-Channel analysis.

  • Use Ports 1 -> 4 to use a single-ended path (port 1 to port 4) for 4-port 1-Channel analysis.

  • Differential to use a differential path through the 4-port device.

  • Common Mode to use a common-mode path through the 4-port device.

Configuring the 2 Port & 4 Port InfiniiSim

· Refer to the N5465A InfiniiSim Waveform Transformation Toolset User Guide to understand in detail, about the features and functionality of InfiniiSim.

Note

Most of the parameters for the 2 Port and the 4 Port InfiniiSim configuration are the same. However, the extension for the Transfer Function File for the 2 Port set up is *.tf2 and for the 4 Port set up, the extension is *.tf4.

  1. Click the [image] to access the Create Transfer Function wizard.

  • Generally, a Transfer Function represents the ratio (in the frequency domain) between voltage waveforms defined by two different conditions — one defined by the "measurement circuit" and the other defined by the "simulation circuit". For the MIPI C-PHY Compliance Test Application, you may calculate the transfer function from the circuit models you create and load directly from a transfer function file.

  2. Click Start to begin creating the Transfer Function on the Oscilloscope.

  3. Click Finish once you are done with creating the Transfer Function. You may click Cancel at any time if you wish to abort this procedure and return to the Configure InfiniiSim window.

  4. To apply the Transfer Function you created above, define the file path and the file name in the Transfer Function File field.

  • Transfer Function files describe the relationship between two sets of time-varying node voltages as a tabular list of complex transfer function values at specific frequencies. Formatted as ASCII text, transfer function files are easily viewed or edited using any text-based file editor.

  • You may click [image] to access the Open dialog to navigate to the folder on the local disk where the transfer function file is located. Note that the extension for the Transfer Function File for the 2 Port set up is *.tf2 and for the 4 Port set up, the extension is *.tf4.

  5. Once the Transfer Function File field is populated, click to select the Normalize Gain check-box to remove any DC gain of the InfiniiSim Transfer Function. By default, this check-box is not selected.

  6. From the drop-down options below the Transfer Function File field, select an option to control inclusion or removal of time delay in signals caused by Cables and Test Fixtures.

    1. RemoveFilterDelay—Remove the delay imposed by the model on the waveform. Because different frequencies can have different delays, this is an approximation of the group delay. Use this mode to compare the response correction of the signal with InfiniiSim turned on and off.

    2. IncludeFilterDelay—Apply the delay imposed by the model to the waveform. This selection will accurately shift the waveform in time according to the model.

    3. IncludeTriggerCorrectedDelay—Apply the trigger's jitter error correction after the de-embedding filter has been applied.

  7. Select the check-box to enable the Bandwidth Limit field and to define the frequency limit to minimize any noise gain by attenuating the resulting waveforms above the frequency where there is mostly just noise.

  • You may find the Bandwidth Limit field enabled yet grayed out (as shown in the images above). This occurs if the bandwidth limit has been enabled and defined in the Acquisition Setup window. See Acquisition Setup for details.

  8. Set the Response Correction field to 100% for full correction, if you are making averaged mode measurements or applying the transfer function that does not magnify the noise. However, if you are working with eye diagrams or making jitter measurements and the transfer function is magnifying the noise, you may want to limit the correction by selecting a lower percentage. This field linearly scales the amount of correction applied to the non-DC frequency components of the measured signal so that it lets you trade off the amount of correction to apply through the transfer function versus the increase in noise it may create at high frequencies.

  9. In the Filter Size area,

  • Increase the Max Time Span control to increase the maximum time span of the correction transfer function's impulse response. Increasing this control enables InfiniiSim to apply transformations which have slower time constants.

  • Increase the Min Frequency Resolution control to make the frequency resolution less fine and to automatically decrease the Max Time Span control, which corresponds to a higher update rate.

  10. Once you are through with configuring InfiniiSim, click OK to save the changes done to the Configure InfiniiSim window and to return to the Test environment.

  • Click Cancel to discard all changes and to return to the Test environment.

  • Click Refresh to restore the values that the parameters contained before you modified/updated.

  • Click Reset This Channel to disable (switch to Off) the InfiniiSim feature on the current/active Scope Channel only.

  • Click Reset All Channels to disable (switch to Off) the InfiniiSim feature on all Scope Channels.


Setting Up the Precision Probe/Cable

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Setting Up the Precision Probe/Cable

The Precision Probe / Precision Cable feature helps in achieving full correction, calibration and automation of each probes and cables path respectively.

The Precision Probe corrects the "Vout/Vin" response to be flat with frequency and phase to the defined bandwidth limit; where "Vout/Vin" characterizes the output of the probe as a function of the input at the probe tips. This feature also provides the ability to control the amount of gain applied to the signal.

The Precision Cable removes insertion loss caused by cables and fixtures up to a certain bandwidth limit.

Note

You may access the Precision Probe/Cable feature within the MIPI C-PHY Compliance Test Application only if it is licensed on the Oscilloscope.

  1. From the MIPI C-PHY Compliance Test Application's main menu, click Tools>Infiniium>PrecisionProbe/PrecisionCable....

  • The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable calibration files for each Scope Channel.

  1. Click the Scope Channel being used. By default, the Precision Probe / Precision Cable configuration for Scope Channel 1, as shown above.

  • The images used for illustration display Scope Channel 1. Repeat the configuration procedure for the rest of the Scope Channels.

  2. In the Mode area, select PrecisionProbe or PrecisionCable. The display in the lower part of the window changes according to your selection. By default, the PrecisionProbe feature is selected.

  • Select PrecisionProbe to calibrate the probes connected to the Oscilloscope and the DUT.

  • Select PrecisionCable to remove insertion loss caused by cables or fixtures. You may configure the settings displayed below for PrecisionCable once you perform calibration on the Oscilloscope.

To create a new calibration file

In order for the Precision Probe / Precision Cable feature to function effectively with the MIPI C-PHY Compliance Test Application, you must perform calibration on the Oscilloscope.

  1. Click the Create New... button. The Create Calibration dialog displays.

  • Create Calibration dialog for PrecisionProbe

  • Create Calibration dialog for PrecisionCable

  2. Click Start and follow the on-screen instructions to create probe/cable calibration files on the Oscilloscope.

  • Refer to the Infiniium Oscilloscope's Help to know more about how to perform calibration.

  3. Once the calibration process is complete, Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  • The AC Calibration: field displays the AC Calibration file generated while performing Probe/Cable Calibration on the Oscilloscope.

  4. For the PrecisionCable mode,

    1. Select the On check-box to configure the additional settings.

    2. Select the Include Cable Delay check-box if the test signal is differential.

    3. In the Corrected Bandwidth area, select Automatic so that the Test Application reads the bandwidth limits set on the Oscilloscope during the process of calibration, else you may manually define the signal gain in the Limit Boosting field or the bandwidth limit in the Specify Bandwidth field.

  5. Once you are through with configuring the PrecisionProbe / PrecisionCable, click OK to save the changes done to the Configure PrecisionProbe / PrecisionCable window and to return to the Test environment.

  • Click Cancel to discard all changes and to return to the Test environment.

  • Click Refresh to restore the values that the parameters contained before you modified/updated.

  • Click Reset This Channel to disable (switch to Off) PrecisionProbe/PrecisionCable feature on the current/active Scope Channel only.

  • Click Reset All Channels to disable (switch to Off) PrecisionProbe/PrecisionCable feature on all Scope Channels.


Setting Up the Test Environment

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Setting Up the Test Environment

In order to run tests on the C-PHY device, the MIPI C-PHY Compliance Test Application helps you define and set certain configuration values with respect to the DUT and the test signal for accurate results and to validate whether the device is compliant or not.

The Set Up tab helps you define certain device characteristics based on which the MIPI C-PHY Compliance Test Application determines the type of compliance tests that must be run on the DUT.

· To set up the C-PHY device under test,

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

  • By default, the MIPI C-PHY Compliance Test Application displays the Set Up tab when you start the application or launch a new/existing project.

  • The CPHY Test Environment Setup is divided into three areas:

    1. Data Type

    2. Device Information

    3. Test Report Comments (Optional)

Data Type

This area helps you define the type of data signal on the C-PHY DUT so that the MIPI C-PHY Compliance Test Application determines and displays the associated tests.

  • Select HS Burst Data for testing only high-speed data communication signals, which appears in bursts with an arbitrary number of payload data bytes.

  • Select LP Escape ONLY for testing only low-speed asynchronous data communication signals in low-power escape mode.

  • Click to select the LPEscapeMode check-box if you wish to run tests on both high-speed mode and low-power escape mode.

A practical C-PHY configuration consists of one or more three-wire lanes. The link includes a high-speed signaling mode for fast-data traffic and a low-power signaling mode for control purposes. For a fixed clock frequency, the available data capacity of a C-PHY configuration can be increased by using more lanes. Effective data throughput can be reduced by employing burst mode communication. The maximum data rate in low-power mode is 10Mbps. The maximum achievable bit rate in high-speed mode is determined by the performance of transmitter, receiver and interconnect implementations.

Device Information

This area helps you define the High-Speed Symbol Rate of the C-PHY DUT Signal and gives you the option to include Information-Only tests.

  • Set a value in the text field for HS Symbol Rate: in Msps (Mega symbols per second) unit. By default, the high-speed symbol rate is 1100 Msps. This value represents the actual rate of the circuit. The effective data rate of the transmission signal is 2.28 times higher than the selected value.

  • Select the Informative Tests check-box so that the MIPI C-PHY Compliance Test Application also displays Information-Only tests under the Select Tests tab.

Test Report Comments (Optional)

This area helps you define an identification to the C-PHY DUT.

  • Type a short text in the Device ID: field to give an identification for the DUT.

  • Type a descriptive text in the User Comment: field to describe/include additional information about the DUT.

It is a good practice to include an identification and comments, which are handy and helpful when you are running tests on multiple DUTs. The text that you type here is included in the HTML Report generated after the test runs in the MIPI C-PHY Compliance Test Application.

Next

· Selecting Tests


Selecting Tests

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Selecting Tests

The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time you make changes to the set up.

  1. Click the Select Tests tab or click the Select Tests box in the Task Flow pane.

  2. Click the check-box to select one or more tests you want to run.

· Some things to note:

    1. Checking a parent node/group will check all available sub-groups or tests.

    2. Unchecking a parent node/group will uncheck all sub-groups or tests.

    3. A parent node is checked if all subgroups are checked.

    4. A parent node is unchecked if ANY subgroup is unchecked.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Functions available for selecting Tests

The right-click function within the Select Tests tab's test pane displays a pop-up menu containing some shortcuts for selecting and deselecting tests.

  1. Click Check All or the [image] icon on the toolbar to select all the tests displayed under the Select Tests tab.

  2. Click Uncheck All or the [image] icon on the toolbar to de-select all the tests that may have been selected earlier under the Select Tests tab.

  3. Click Check This Branch Only to select the highlighted test branch only.

· Notice that when you click a specific test under the Select Tests tab, certain information associated with the highlighted test appears in the lower pane.

  • You may click the [image] icon on the toolbar to toggle the description and hide the lower pane under the Select Tests tab.

Status after Test Runs

The MIPI C-PHY Compliance Test Application has indicators that appear in the Select Tests tab, which help you recognize the status of tests that the Test Application has run at least once. The image below displays how the Select Tests tab appears after tests have been run in a project.

  • The following table describes the various test indicators used within the MIPI C-PHY Compliance Test Application:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test.

Viewing Reports/Clearing Results

After the selected tests have been run at least once, the right-click functionality in the test pane of Select Tests tab enables the of viewing the HTML Results and clearing test results.

  1. Highlight any test and right-click for the pop-up menu to appear.

  2. Click Results>View HTML Results... to view the detailed report of the highlighted test under the HTML Report tab.

  3. If you wish to clear the test results, highlight any test and right-click for the pop-up menu to appear.

  4. Click Results>Clear Result(s) for this Branch to clear the results of a specific test only or click Results>Clear All Results to clear all test results. If you clear all results, the Select Tests tab returns to its default appearance.

  • The image below displays the change in indicators when the test results of specific tests have been cleared:

Next

· Configuring Tests


Configuring Tests

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Configuring Tests

The MIPI C-PHY Compliance Test Application automatically configures certain parameters and its values required for running tests on the Oscilloscope. You may change values to parameters manually, if required, to run tests for a compliance validation or for debugging.

  1. To access the configuration options in the MIPI C-PHY Compliance Test Application, do one of the following:

  • Click the Configure tab.

  • Click [image] on the toolbar.

  • Click the Configure box in the Task Flow pane.

  2. Select Mode: as either Compliance or Debug.

  • Compliance Mode— lets you choose the configuration options necessary to meet the compliance standard tests.

  • Debug Mode— lets you modify the configuration options for debugging. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

  • A description of the selected configuration item appears in the lower, right part of the application window.

  • Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity during test runs.

  4. Click the Activate/Refresh Limit Set... button to define your own limit sets for the configuration parameters required to run tests using the MIPI C-PHY Compliance Test Application. To know more about how to define and activate limit sets, see Compliance Limits.

Tip

· A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

· A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

· A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

Next

· Connecting the Oscilloscope to the DUT


Compliance Limits

Configuring Tests

Compliance Limits

You may define compliance limits within the MIPI C-PHY Compliance Test Application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.


To Activate/Refresh Limit Set

Compliance Limits

To Activate/Refresh Limit Set

To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

· Under the Configure tab, click the [image] button, or

· From the MIPI C-PHY Compliance Test Application's main menu, click Tools>Compliance limits>Activate/Refresh limit set....

  • The Activate/Refresh Compliance Limit Set dialog displays.

· By default, the Active Limit Set: displays (Official) MIPI C-PHY Test Limit v1.0. You may change the limit set in the Select a limit set to activate/refresh: area.

  1. Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets recommended by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications and the limit files contain standard values for various configurations as defined in the standard specifications. Currently, the default official limit set in the application is MIPI C-PHY Test Limit v1.0.

  2. Click User-defined limit sets: to enable the Browse button and select a file from the local disk that defines a custom limit-set file that you (or another user) have created. The user-defined limit sets may contain values that may be different from the official specification. See To Create/Edit Limit Set on how to create a user-defined limit set.

  3. Click Browse to access the Open window. Navigate to the folder where the limit-set file (*.lim) is located. Select the file and click Open.

  4. The entire file path and file name are populated in the User-defined limit sets: field.

  5. After you make a selection, click the Activate/Refresh button to enable the selected limit-set to apply the limits for the configuration options that are required to meet the compliance standard tests.


To Create/Edit Limit Set

Compliance Limits

To Create/Edit Limit Set

  1. Click Tools>Compliance limits>Create/Edit limit set....

  • The Create/Edit User-Defined Limit Set dialog displays.

  2. Click the Load Template... button to load an existing official limit set or an existing user-defined limit set.

  • The Load Compliance Limit Set window displays. The Active Limit Set: is set to (Official) MIPI C-PHY Test Limit v1.0, which is dependent on the limit-set file defined under the Select a limit set to load: area.

    1. Select Official limit sets: to load the Keysight recommended limit-set which contains limit values based on C-PHY standard specifications. By default, Official limit sets: is selected.

    2. Select User-defined limit sets: to enable the Browse button and select a file from the local disk that defines a custom limit-set file that you (or another user) have created. The user-defined limit sets may contain values that may be different from the official specification.

    3. Click Browse to access the Open window. Navigate to the folder where the limit-set file (*.lim) is located. Select the file and click Open.

  4. The entire file path and file name are populated in the User-defined limit sets: field.

  5. After you make a selection depending on the limit-set file you want to edit/modify, click Load to view the contents of the limit-set file.

  • The contents of the selected Custom_Limit_Set1.lim file now display on the Create/Edit User-Defined Limit Set window. Notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit-set file. The field Loaded: remains grayed out and displays the name assigned to the loaded limit-set file.

Creating/Editing Limit-Sets

  1. To begin editing the loaded limit-set file, you may update the Name: and the Shared reference: fields in the Edit summary: area.

  2. To edit a specific parameter or a group of parameters, highlight one or more rows in the Select test limit(s) area.

  3. Use either the Edit, Combine or Split feature to modify/edit the limit-set files. The sections below describe in detail how to use these features.

  4. Once you have done modifying/editing the limit-sets, click Save if you wish to retain the same file name with edited limit-sets or click Save As... if you wish to create a new limit-set file.

  5. If you click Save As..., the Save Limit Set As window displays. Assign a new file name to your modified limit-set and click Save.

  6. Click Close on the Create/Edit User-Defined Limit Set window to return to the Test environment.

Edit

  1. Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

  2. In the Select action to perform area, click the Edit button. The Edit Compliance Limit dialog displays.

  3. Modify the values/conditions of the selected limit set in the Pass Limits area. Click OK to save the changes or click Cancel to discard the changes and return to the Create/Edit User-Defined Limit Set dialog.

Combine

  1. Select two or more limit-set rows in the Select test limit(s) section that you wish to combine, such that the resultant limit covers more than one test ID.

  2. In the Select action to perform area, click the Combine... button. The Create Multi-Test Limit dialog displays.

  3. Verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field.

  4. Type a summary name and description to identify the new combined test limit.

  5. Click Finish to save the changes or click Cancel to discard the changes and return to the Create/Edit User-Defined Limit Set dialog. Scroll down to view the new combined limit-set.

Split

  1. Select a multi-test limit-set in the Select test limit(s) section that you wish to split, such that the resultant limit-set is divided into more than one test limit-sets.

  2. In the Select action to perform area, click the Split... button. The Split Multi-Test Limit dialog displays.

  3. The Assign tests: area displays the individual test limit-sets of which the combined multi-test limit-set is composed of. Click the [image] button to split the required limit-set by moving the selected limit-set into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit-set.

  4. For proper identification of the separate limit sets, you may provide separate summary names and summary descriptions in the respective fields for the new test limit. You may edit the previous multi-test limit-set for correct representation.

  5. Click Finish to save the changes or click Cancel to discard the changes and return to the Create/Edit User-Defined Limit Set dialog. Scroll down to view the new split limit-sets.


Connecting the Oscilloscope to the DUT

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Connecting the Oscilloscope to the DUT

The MIPI C-PHY Compliance Test Application presents a pictorial diagram along with instructions so that you could make proper connections between the C-PHY DUT and the Oscilloscope.

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

For more information, see:

· [image] Keysight U7250A MIPI C-PHY Compliance Test Application Methods of Implementation

Next

· Running Tests


Running Tests

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Running Tests

The MIPI C-PHY Compliance Test Application enables you to run tests on the C-PHY DUT to check whether the device is compliant or not.

Note

You must allow the Oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the Oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

Ways to Run Tests

· To run the tests using the MIPI C-PHY Compliance Test Application, do one of the following:

  1. Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests.

    1. Click All Checked Tests... to run all tests that have a check against them. The MIPI C-PHY Compliance Test Application begins running these tests.

    • Alternatively, you may click [image] on the toolbar to run all checked tests.

    2. Click Selected Branch Only... to run only the selected/highlighted branch.

    • Alternatively, you may click [image] on the toolbar to run the highlighted branch.

    • For the option Selected Branch Only..., the Run This Branch Only? prompt displays. Click OK to continue running the selected test or click Cancel to return to the test environment.

  2. Under the Connect tab, you may click the Run Tests button to run the tests selected under the Select Tests tab. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

  3. Under the Run Tests tab, click the Start button to run the tests selected under the Select Tests tab.

· You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever. For more information on the options available under the Run Tests tab, see:

  1. To select the Store Mode

  2. To run multiple times

  3. To send email on pauses or stops

  4. To pause or stop on events

  5. To specify the event

Process of Test Runs

Once you choose either of the options described in the section above to begin running tests, the MIPI C-PHY Compliance Test Application minimizes and the Verifying Scope Configuration... window displays:

  • If this window displays the text Your Configuration Is Good, this indicates that the Oscilloscope Configuration is good and the MIPI C-PHY Compliance Test Application continues to run the selected tests. If there is any other text, you may have to check the Oscilloscope configuration.

  1. If there are any existing results from previous test runs recorded in the Results tab of the MIPI C-PHY Compliance Test Application for selected tests, the Existing Results for Selected Tests prompt displays. By default, Append New Trials is selected. Select one of the options and click Continue.

  • To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

  • To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  2. A window appears and displays the status and the progress of the tests while they are running.

  • If the MIPI C-PHY Compliance Test Application detects that the physical connection required for the selected tests is not appropriate, the Change Physical Connection/Setup window displays.

    1. Follow the instructions and the connection diagram to make changes to the physical setup as prompted by the MIPI C-PHY Compliance Test Application. Once done, click the check box for I have completed these instructions.

  2. You may click the [image] button if you wish to view the waveform/settings on the Oscilloscope after making the changes in the physical connection.

  3. Click Next to enable the application to run the tests further. You may click Cancel or Ignore if you wish to skip making changes in the physical connection.

  3. At any point during the test runs, click Stop on the status window if you want to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

  4. After the MIPI C-PHY Compliance Test Application completes running all selected tests, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To select the Store Mode

Running Tests

To select the Store Mode

You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials. By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

  • Best — Stores the results of the best N trials.

  • Event — Stores the results of N trials when a specific event is detected. See To specify the event.

  • Last — Stores the results of the last N trials.

  • Worst — Stores the results of the worst N trials.

Note that if you change the type of trials in the Store Mode section, all existing test results will be deleted. The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests. By default, Once is selected.

  • Once — Tests are run only once.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. Specify the Number of runs: by assigning a positive whole number for N. Select the check-box for Pause to have pauses between each run.

Note

When you choose to run the test plans N times, you may use the Trial Display options in the Report tab of the Preferences dialog to specify how many trials are displayed in the test report. See To set the Trial Display preferences.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You may configure the MIPI C-PHY Compliance Test Application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check-box.

  3. Click Configure. The Configure Email dialog displays.

  4. Enter the To: and From: email addresses and the host name of the SMTP Server:.

  5. Click OK to save the changes or click Cancel to discard the changes.

Pauses occur between runs when you run your test plans for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options:

  • Pause — The test run pauses when the selected type event occurs.

  • Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

  • You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Event section.

  1. In the Event section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (represents the minimum required margin in percentage). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

  • The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type.

  • The condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

  • Information dialogs

  • Warning dialogs

  • Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

  • Invert scope display — displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the Oscilloscope's ColorGrade is enabled.

  • Keep application on top — keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

  • Log events — displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

  • Show tooltips — enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog.


To set the run preferences

Running Tests

To set the run preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the test runs.

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

  • Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

  • Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following actions that the MIPI C-PHY Compliance Test Application must perform if a test aborts:

  • Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

  • Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

· Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


Automating the Application

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Automating the Application

The Automation tab enables you to construct and run scripts of commands that helps you automate the functionality of the MIPI C-PHY Compliance Test Application.

  1. In the Execute commands from: area, choose either Script or Files to view and generate the set of commands you require to automate certain features of the MIPI C-PHY Compliance Test Application. By default, Script is selected. You may type or edit the commands in the large text box provided in the Automation tab.

Script mode

If you are unaware of the commands and their syntaxes that must be run for automation, select Script to select commands for automation of certain features or to manually type them in the provided text area.

To construct a script of commands, do one of the following:

· Type in commands (one per line) in the script text box

· Click the Commands... button to access the Create Automation Commands window and to generate either a single command to automate a certain feature for each tab or an entire set of pre-defined sequence of commands.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

To Create Automation Commands

On the Create Automation Commands window, choose Single Command to create either a single command for a particular functionality in each of the given tabs or choose Entire Script to generate entire sample scripts (that demonstrate how commands work together).

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to automate.

  2. Select the radio button for the action you desire to perform. The Use command(s): field displays the automation command that performs the desired action. Most commands have placeholder parameters along with the instructions on how to modify/customize them.

  • Following images demonstrate how to select single commands to automate a feature in a particular tab:

· Entire Script— In this mode,

  1. Select a script that describes a task to automates the required set of events/features.

  • Following images demonstrate how to an entire script of commands to automate several features from various tabs:

· In either of the modes, you may click Copy to Clipboard button to copy the command/script to the clipboard of your operating system, such that you could paste it on another editor application (such as Notepad, WordPad and so on) or click Append to Script to add the command/script on the large text box in the Automation tab. You may optionally include instructions as comments that guide you in customizing the commands.

  • Following images demonstrate the display of commands (with Single Command) and script (with Entire Script) that have been chosen using the Append to Script button. Notice that in case of Single Command, only the commands are added to the text box and you must manually modify the rest of the script.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

· To save the commands/script into an editor outside the MIPI C-PHY Compliance Test Application, click Save As.... The Save As dialog displays. Type a name along with the appropriate extension (*.arsl or *.txt) in the File name: field and click Save to save the file for future reference.

Files Mode

To run automation commands/scripts that are already saved in an ARSL or Text format, click Files.

  1. Click Add... to access the Open dialog, where you may access the files containing automation commands/scripts ARSL (*.arsl) files or Text (*.txt) files from the local disk. Select the file and click Open.

  2. Repeat Step 1 to add more files, which contain commands/scripts for automation of features in the MIPI C-PHY Compliance Test Application. Following image displays the appearance of the ARSL/Text files on the Automation tab.

  3. Before you start running the command/script files, you can perform the following actions:

    1. To modify/update the contents (by adding or removing commands/scripts) of an ARSL/Text file, select the required file and click Edit.... The default editor in your operating system displays. After saving the changes on the editor, run the selected file under the Automation tab.

    2. To delete an ARSL/Text file from the list of added files under the Automation tab, select the file and click Remove.... The Confirm Action prompt displays. Click OK to remove the file.

    3. To change the order of running the Automated scripts, you may select a file and use the Move Up button to run the file up in the sequence or use the Move Down button to run the file later in the sequence.

To Start running Automation Commands

Before you start running automation commands in the Script mode, you must ensure that the command syntaxes are correct and the variables have proper inputs. For example,

  1. The following image displays an appended script that contains three commands, which indicates three separate actions would be performed.

  2. Replace the variables with proper values. Keysight recommends reading of the instructions associated with a command to insert the correct input values.

  3. Irrespective of whether you select Script or Files in the Execute commands from: area, to run the displayed commands/scripts or files, click the Start button. In the example above, the first command starts running and the button changes to Stop. You may have to address the prompts and pop-up messages from the Application, in order for the automation commands to run entirely.

Note

You may need to enable the option Show remote interface hints in language: and select ARSL to view the correct input parameters for certain commands. To know how to enable the ARSL option in the Preferences dialog, see To enable remote interface hints.

Trying a Command

To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, the corresponding tab or feature displays the output and the changes made. Following images display two such instances.

Settings

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Automation Settings dialog.

  • Click Close to return to the Automation tab view.


Viewing Results

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Viewing Results

The MIPI C-PHY Compliance Test Application displays the results of all the test runs along with the test indicators, pass/fail limits, trials and reference images (such as eye diagrams, signal waveforms and so on).

  1. To view the test results after running tests on a C-PHY device using the MIPI C-PHY Compliance Test Application, click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the settings in the Report tab of the Preferences window. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select Worst first in the Trial Display area of the Preferences window, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

The MIPI C-PHY Compliance Test Application gives you the option to delete one or more test results, which deletes the associated trials also. You may choose to delete only the trials of the test result.

To delete one or more test results

  1. Under the Results tab, select one or more test results and do one of the following:

  • Click [image] on the toolbar, or

  • Press the Delete key on the keyboard, or

  • Right-click at a specific test result (in the upper pane) and select Delete Selected Test....

  2. In either case, click Yes on the following prompt, if you wish to delete the selected tests. The number on the prompt is the number of test results you have selected.

  • Upon clicking Yes, the MIPI C-PHY Compliance Test Application deletes the tests and the associated trials.

To delete one or more trials in a test result

  1. Under the Results tab, select a test result and do one of the following:

  • Right-click the test result (in the upper pane) and select Delete One Trial..., or

  • In the Trial # tab (in the lower pane), right-click a trial you wish to delete and click Delete This Trial..., where # represents the number of trial for the selected test result.

  • If you have a Summary of trials, right-click a trial you wish to delete and click Delete One Trial....

  2. When you click Delete One Trial... under Summary, the MIPI C-PHY Compliance Test Application displays the Select Trial to Delete window to select a single trial to delete. For example, for the test result shown above, the following trials are displayed.

  3. Check the box corresponding to the trial that you wish to delete and click OK.

  4. The Select Trial to Delete window displays any additional results that may have been generated along with the selected trial. This view appears directly when you select Delete This Trial... for a specific trial.

  • You may select the check-boxes for the results you wish to delete or click Select All to check all boxes and click OK.

  5. The Confirm result deletion prompt displays, which lists out all the trials and results you have selected for deletion. Click OK to delete the trials/results.

  6. The MIPI C-PHY Compliance Test Application prompts the following information regarding the renumbering of trials done to fill the gaps that occur because of deletion of trials. Click OK.

  7. The Results tab now displays the remaining trials for the test result that was selected.

  8. If you delete the last trial of the selected test result, which is same as performing a right-click on a test (in the upper pane) and clicking Delete Selected Test...; the entire test result and its associated trials are deleted from the Results tab.

To delete all test results

Deleting all test results from the Results tab results in losing the associated information from the HTML Report tab. However, if you choose to delete all test results,

  1. Under the Results tab, right-click any random test result in the upper pane and click Delete All Tests....

  2. Click Yes on the following prompt to delete all test results for the current project.

· At any stage, if you choose not to delete any test/trial and click No or Cancel in any of the prompts seen above, the following prompt displays:

Note#1

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

Note#2

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the MIPI C-PHY Compliance Test Application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

You may see images from the Oscilloscope for various trials of certain tests that the MIPI C-PHY Compliance Test Application captures during test runs.

  1. In the Results tab, select a test result that has a trial with a reference image. If you see a Summary tab in the lower pane, click the associated Trial # tabs to check for reference images.

  2. Double-click the image in Reference Images: pane, which displays the reference image on a new window.

  3. On this window displaying the reference image for the test, you may:

  • Click the flash red pixels button [image] to highlight the points of failure.

  • Click the zoom in [image] or zoom out [image] buttons to resize the image within the window.

  4. Click the close button [image] to close the reference image window and to return to the MIPI C-PHY Compliance Test Application.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Report tab.

  3. In the Margin Reporting section, you can:

  • Enable or disable margin highlighting.

  • Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and click OK to close the Preferences dialog.


To change the test display order

Viewing Results

To change the test display order

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click Apply to save your changes and click OK to close the Preference dialog.


To set the Trial Display preferences

Viewing Results

To set the Trial Display preferences

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, click the Report tab.

  3. In the Trial Display section, select the number of worst trials whose details you want the application to display.

  4. Select the radio button for Order trial details: to arrange the display order of the trial details either chronologically or the worst trial first followed by the rest of the trials. By default, Worst first is selected.

  5. Select the check-box for Show images for up to 15 worst trial(s) if you want the application to display images of the signal on the scope that were captured during running of such trials. By default, this box is selected.

  6. Click Apply to save your changes and click OK to close the Preferences dialog.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Viewing/Exporting/Printing the Report

The MIPI C-PHY Compliance Test Application gives you the option to view, export and print the rest results in an HTML report format, such that you can perform a proper analysis of the data to understand the causes of test failures.

  1. To view the HTML test report, click the Html Report tab. By default, this tab does not display any test results.

  • The image below displays the Test Report after a series of test runs on a C-PHY device.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the MIPI C-PHY Compliance Test Application's main menu, click File>Export Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

  1. Select CSV to export the results as a comma-separated list of values.

  2. The Export CSV Results window displays. Click Save.

  • The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File — To save a single-file report,

  1. Click File>Export Results>Single-File.

  2. Click OK on the Test Information dialog, which explains the need to save the export results as multi-file instead of single-file.

  3. On the Save Webpage window, select Web Archive, single file (*.mht) on the Save As type drop-down.

  4. Choose an appropriate folder location on the local disk and click Save.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File — For large reports, where you may prefer using links within the report,

  1. Select the File>Export Results>HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. The MIPI C-PHY Compliance Test Application creates a folder with the specified name that may be copied to any computer.

  2. The Save Report As dialog displays. By default, the Name: field captures the name of the project for the multi-file report name. However, you may edit the name and the folder location.

  3. Click Browse to access the Browse For Folder window and click OK to save the file in the selected folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report before you run the print command, click [image] or choose File>Print Preview... from the MIPI C-PHY Compliance Test Application's main menu.

· To print the HTML test report, click [image] or choose File>Print... from the menu.


To set HTML Report preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Report tab.

  3. In the Jump Actions section, you can:

    1. Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

    2. Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Understanding the HTML Report

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Understanding the HTML Report

The HTML Report, which is generated after running tests on a C-PHY device using the MIPI C-PHY Compliance Test Application, has different sections.

· The top section of the MIPI C-PHY HTML Report contains the report header, which provides an overview of the most recent test run and the parameters configured within the MIPI C-PHY Compliance Test Application.

· The image below shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the Oscilloscope's application, the model number and the serial number of the Oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. Any detail not defined within the MIPI C-PHY Compliance Test Application is not displayed here.

Summary of Results

The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog).

Report Detail

The next section of the report shows the detailed statistics for each of the selected measurements.


Saving Test Projects

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Saving Test Projects

It is a good practice to save your current project at frequent intervals to prevent unwanted loss of data, test results or even settings/configuration. Project files are saved with the extension (*.proj).

· To save test settings and results to the current project directory:

  1. Click [image] in the toolbar or click File>Save Project from the MIPI C-PHY Compliance Test Application's main menu.

  • Project files are saved in a directory whose name corresponds to the MIPI C-PHY Compliance Test Application.

· To save test settings and results to a new project directory:

  1. Click File>Save Project As... from the MIPI C-PHY Compliance Test Application's main menu.

  2. In the Save Project As dialog, type the project name and location in the respective fields.

  • You may click Browse... and navigate to the folder on the local disk or even make a new folder where you wish to save the project file.

  • Click OK.

Saving Project Settings Only

  1. Click File>Save Project (Settings-Only) As... to save only the settings of the current project. Even such files are saved in *.proj format.

  2. You must ensure that the current project has been saved already so that you do not lose the test results.

  3. The Save Project As dialog displays. Even though the appearance is same as the dialog for saving an entire project, in this case, only the settings of the project are saved.

  • You may click Browse... and navigate to the folder on the local disk or even make a new folder where you wish to save the project file.

  4. Click OK.

For more information, see:

· [image] Keysight U7250A MIPI C-PHY Compliance Test Application Methods of Implementation

See Also

· To set AutoRecovery preferences

Next

· Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

  • To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

  • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog.


User-Defined Add-Ins

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467B User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in


To install an add-in

User-Defined Add-Ins

To install an add-in

  1. From the MIPI C-PHY Compliance Test Application's main menu, click File>User Defined>Install Add-In.

  2. The Open window displays. Navigate to the location of add-in's installer (created by the N5467B UDA tool) on the local disk. Select the file and click Open.

  3. On the prompt that follows, click OK if you wish to proceed with the installation of the add-in.

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying installation. See Saving Test Projects.

  4. Upon clicking OK on the prompt above, the MIPI C-PHY Compliance Test Application restarts after installing the add-in. Once the Test Application restarts, the following prompt displays:

  • A pre-requisite for the visibility and selection of the user-defined custom add-in tests is that the MIPI C-PHY Compliance Test Application must be configured in Debug mode under the Configure tab. After the add-in is installed and the Application restarts, the Mode: is selected as Debug, by default.

  • With the configuration set to Debug mode, note that the user-defined custom add-in tests are visible under the Select Tests tab.

  • Refer to N5467B User-Defined Application Document Library on the Keysight website to know more about the User-defined Add-In.


To remove an add-in

User-Defined Add-Ins

To remove an add-in

  1. From the MIPI C-PHY Compliance Test Application's main menu, click File>User Defined>Uninstall Add-In....

  2. On the prompt that follows, click OK if you wish to proceed with removal of the add-in.

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying uninstallation. See Saving Test Projects.

  3. Upon clicking OK on the prompt above, the MIPI C-PHY Compliance Test Application removes the add-in.


Controlling the Application via a Remote PC

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the MIPI C-PHY Compliance Test Application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

· With the remote interface, you can:

  1. Launch and close the applications

  2. Configure options

  3. Run tests

  4. Obtain results

  5. Control display options & preferences

  6. Save and load projects

· For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.

  3. Click [image] to close the About Infiniium dialog and to return to the MIPI C-PHY Compliance Test Application.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the MIPI C-PHY Compliance Test Application's main menu, click Help>About....

  2. In the About dialog, the remote interface version is listed above the UDA Add-In Interface Version information.

  3. Click Close to return to the MIPI C-PHY Compliance Test Application's test environment.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

  4. If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the MIPI C-PHY Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Remote tab.

  3. In the Remote Options area, select the Show remote interface hints in language: check box.

· When you select this option:

  1. Select the remote programming language described in the tips.

  2. Tooltips related to the remote interface commands appear when you click the toolbar.

  3. Various controls in the tabs will have a context menu item added as "Remote interface hint...".

  4. The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Using a Second Monitor

You may use a second monitor to display the MIPI C-PHY Compliance Test Application, so that you can view the Oscilloscope while using the Test Application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the Oscilloscope on the external monitor.

Before starting the MIPI C-PHY Compliance Test Application, ensure that the second monitor is configured properly.

  1. Exit the Infiniium Oscilloscope's Application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. From the Control Panel options, click Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display drop-down. The recommended screen resolution changes accordingly.

  6. If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution and select one of the available video resolutions.

  7. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer from the Oscilloscope screen to the second monitor's display.

  8. To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  9. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· MIPI C-PHY Compliance Test Application—At a Glance


Restricted Rights Legend

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Keysight U7250A MIPI C-PHY Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.